import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';

import 'package:outline_material_icons/outline_material_icons.dart';

import 'package:spartathlon_app/AppStateContainer.dart';
import 'package:spartathlon_app/util/Themes.dart';
import 'package:spartathlon_app/views/AboutView.dart';

/// Settings view

// TODO allow setting km/miles

class SettingsView extends StatefulWidget {
  SettingsView({Key key}) : super(key: key);

  @override
  _SettingsViewState createState() => _SettingsViewState();
}

class _SettingsViewState extends State<SettingsView> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Settings'),
        backgroundColor: Theme.of(context).primaryColor,
      ),
      body: FutureBuilder<AppTheme>(
          future: getThemeFromPrefs(),
          builder: (BuildContext context, AsyncSnapshot<AppTheme> snapshot) {
            if (snapshot.hasData) {
              AppTheme currentTheme = snapshot.data;

              return Center(
                child: Column(
                  children: [
                    SwitchListTile(
                      // set slider to true for dark theme
                      value: currentTheme.index == 1,
                      onChanged: (bool newVal) {
                        AppTheme newTheme = (newVal)
                            ? AppTheme.THEME_DARK
                            : AppTheme.THEME_LIGHT;
                        AppStateContainer.of(context).setTheme(newTheme);
                      },
                      title: Text('Use Dark Theme'),
                      secondary: Icon(
                        OMIcons.palette,
                        color: Theme.of(context).iconTheme.color,
                      ),
                      activeColor: Theme.of(context).primaryColor,
                    ),
                    Divider(),
                    ListTile(
                      title: Text('About'),
                      leading: Icon(Icons.info_outline, color: Theme.of(context).primaryColor,),
                      onTap: () {
                        Navigator.push(
                            context,
                            CupertinoPageRoute(
                                builder: (context) => AboutView()));
                      },
                    ),
                  ],
                ),
              );
            } else {
              return Container();
            }
          }),
    );
  }
}
